#
# spec file for package wiggle
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wiggle
BuildRequires:  ncurses-devel
Summary:        A Tool for Applying Patches with Conflicts
License:        GPL-2.0+
Group:          Productivity/Text/Utilities
Version:        1.0
Release:        9.5
Url:            http://neil.brown.name/wiggle/
Source0:        http://neil.brown.name/wiggle/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Wiggle is a program for applying patches that 'patch' cannot apply due
to conflicting changes in the original.

Wiggle will always apply all changes in the patch to the original. If
it cannot find a way to cleanly apply a patch, it inserts it in the
original in a manner similar to 'merge' and reports an unresolvable
conflict.



Authors:
--------
    Neil Brown <neilb@suse.de>

%prep
%setup -q

%build
make BINDIR=/usr/bin \
     MANDIR=%{_mandir} MAN1DIR=%{_mandir}/man1 \
     CFLAGS="-I. $RPM_OPT_FLAGS" \
     wiggle

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5}
make BINDIR=$RPM_BUILD_ROOT/usr/bin \
     MANDIR=$RPM_BUILD_ROOT%{_mandir} \
     MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/wiggle
%doc %{_mandir}/man1/wiggle.1*
%doc ANNOUNCE

%changelog
* Fri Aug 23 2013 nfbrown@suse.com
- New upstream release 1.0
  Substatial improvements to --browser mode including
  ability to edit the resulting merge.
  New --ignore-blanks flag.
  Improved git integration.
* Tue May 15 2012 nfbrown@suse.com
- New upstream release 0.9.
  Numerous bugfixes for edge cases,
  lots of improvements to --browser mode which
  is now documented
  new --show-wiggle flag to make it easier to
  see what wiggle is trying to do
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Sep 15 2011 andrea.turrini@gmail.com
- Fixed typo in wiggle.spec
* Thu Apr 22 2010 aj@suse.de
- Fix buffer overflow.
* Wed Mar 24 2010 nfbrown@novell.com
- Update to new upstream release 0.8 which makes all
  patches redundant and resolves bnc#473776
* Mon Feb 13 2006 nfbrown@novell.com
- remap-segfault.diff: Fix a segmentation fault in function remap
  (147977).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Sat Mar 20 2004 agruen@suse.de
- Add fix from Chris Mason.
* Mon Jul 14 2003 agruen@suse.de
- Initial version.
